Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 143307 - sys-fs/fuseiso (new ebuild)
Summary: sys-fs/fuseiso (new ebuild)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Low enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://fuse.sourceforge.net/wiki/inde...
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2006-08-09 02:29 UTC by Thomas Fischer
Modified: 2009-10-25 10:10 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for fuseiso version 20060731 (fuseiso-20060731.ebuild,580 bytes, text/plain)
2006-08-09 02:30 UTC, Thomas Fischer
Details
ebuild for kfuseiso an interface for kde to fuseiso (kfuseiso-20061108.ebuild,604 bytes, text/plain)
2006-11-08 07:42 UTC, Janvie
Details
Ebuild for fuseiso-20061017 (fuseiso-20061017.ebuild,573 bytes, text/plain)
2006-12-21 19:51 UTC, Claudio Bustos
Details
diff to kfuseiso-20061108.ebuild (kfuseiso-20061108.ebuild.diff,589 bytes, patch)
2007-05-28 19:46 UTC, Ivan Iakoupov
Details | Diff
A more correct cleaning up of kfuseiso-20061108.ebuild (kfuseiso-20061108.ebuild.diff,589 bytes, patch)
2007-06-03 17:03 UTC, Ivan Iakoupov
Details | Diff
New Ebuild for fuseiso (fuseiso-20070708.ebuild,624 bytes, text/plain)
2008-04-13 11:56 UTC, Christian Häßler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Fischer 2006-08-09 02:29:15 UTC
Requesting to add ebuild for fuseiso to Gentoo's portage tree under sys-fs/fuseiso.

FuseIso is a Fuse module to mount .iso images. Comparable to loopback mounting.
Comment 1 Thomas Fischer 2006-08-09 02:30:56 UTC
Created attachment 93834 [details]
Ebuild for fuseiso version 20060731

Ebuild for fuseiso version 20060731, based on sys-fs/sshfs-fuse ebuild
Comment 2 Matthew Hamilton 2006-08-29 11:31:59 UTC
Compiles and works correctly on AMD64.

Portage 2.1.1_rc1-r1 (default-linux/amd64/2006.0, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r5 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r5 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.4
Last Sync: Tue, 29 Aug 2006 16:00:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r3
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.16
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=k8 -pipe -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/gentoo ftp://gentoo.mirrors.tds.net/gentoo http://194.117.143.72 ftp://ftp.heanet.ie/pub/gentoo/ ftp://194.117.143.71/mirrors/gentoo"
LANG="en_US"
LC_ALL="en_US"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/webapps-experimental /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X a52 aac acpi alsa avi berkdb bitmap-fonts cairo cdparanoia cdr cli crypt cups dbus dlloader dri dvd dvdr dvdread elibc_glibc emboss encode fam ffmpeg firefox flac foomaticdb fortran gif gnome gpm gstreamer gtk gtk2 hal imap imlib input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kernel_linux linguas_en logrotate lzw lzw-tiff mad maildir mono mp3 mpeg ncurses nls nptl nptlonly ogg openal opengl oss pam pcre pdf pdflib perl png pppd python quicktime readline reflection sdl session spell spl ssl svg tcpd theora tiff truetype truetype-fonts type1-fonts unicode usb userland_GNU userlocales video_cards_nv video_cards_nvidia video_cards_radeon video_cards_vesa vorbis xine xml xorg xpm xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Sascha Lüdecke 2006-10-01 03:01:35 UTC
I compiled fuseiso 20060928 and it works correctly on ~x86 (tested with .iso and .bin).  I vote for inclusion of this package :)


Gentoo Base System version 1.12.5
Portage 2.1.2_pre1-r3 (default-linux/x86/2006.0, gcc-3.4.6/vanilla, glibc-2.4-r3, 2.6.18-gentoo i686)
=================================================================
System uname: 2.6.18-gentoo i686 AMD Athlon(tm) Processor
Last Sync: Sun, 01 Oct 2006 07:50:01 +0000
app-admin/eselect-compiler: 2.0.0_rc2-r1
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.3.5, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -march=athlon -pipe -fomit-frame-pointer"
DISTDIR="/a/data/portage-distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow X aac aalib acl acpi alsa apache2 apm arts audiofile avi berkdb bidi bitmap-fonts bonobo browserplugin bzip2 caps cddb cdparanoia cdr chroot crypt cups curl dbus dga dri dvd dvdr dvdread eds elibc_glibc emacs emboss encode esd exif fam fbcon ffmpeg firefox flac foomaticdb fortran gd gdbm gif gimp gimpprint glut gmp gnome gnutls gpm gstreamer gtk gtk2 gtkhtml guile gzip-el hal hbci idn imlib input_devices_keyboard input_devices_mouse ipv6 jabber java jpeg junit kde kernel_linux kipi lcms libg++ libgda libwww mad matroska mikmod mmx mng motif mozilla mp3 mpeg mpi ncurses nls nptl nptlonly nvidia ofx ogg oggvorbis openal opengl operanom2 oscar oss pam pdflib perl png postgres python qt qt3 qt4 quicktime readline recode ruby samba screen sdl skey skins slang slp smime speex spell sqlite ssl subversion svg svga tcltk tcpd tetex theora threads tiff truetype truetype-fonts type1-fonts udev unicode usb userland_GNU v4l v4l2 video_cards_nvidia visualization vorbis win32codecs wmf wxwindows xine xinerama xml xml2 xmms xosd xscreensaver xv xvid yahoo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 4 Janvie 2006-11-08 07:40:04 UTC
Works here on ~x86 with version 20061017, also chopped an ebuild for kfuseiso, an interface for kde

Regards...


Portage 2.1.1-r1 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.16-suspend2-r8 i686)
=================================================================
System uname: 2.6.16-suspend2-r8 i686 Intel(R) Pentium(R) 4 CPU 3.40GHz
Gentoo Base System version 1.12.5
Last Sync: Wed, 08 Nov 2006 13:30:07 +0000
ccache version 2.3 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.3.5-r2, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  0.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE=""
ANT_HOME="/usr/share/ant-core"
ARCH="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CCACHE_DIR="/var/ccache"
CCACHE_SIZE="1G"
CFLAGS="-pipe -mtune=pentium4 -march=pentium4 -mfpmath=sse -O2 "
CHOST="i686-pc-linux-gnu"
CLASSPATH="."
CLEAN_DELAY="5"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo"
CVS_RSH="ssh"
CXXFLAGS="-pipe -mtune=pentium4 -march=pentium4 -mfpmath=sse -O2 "
DISPLAY=":0.0"
DISTCC_DIR="/var/tmp/.distcc"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/vim"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--verbose"
EMERGE_WARNING_DELAY="10"
FEATURES="autoaddcvs autoconfig ccache digest distcc distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
FETCHCOMMAND="/usr/bin/wget -t 5 -T 60 --passive-ftp ${URI} -P ${DISTDIR}"
GCC_SPECS=""
GDK_USE_XFT="1"
GENERATION="2"
GENTOO_MIRRORS="http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://gentoo.localhost.net.ar/ ftp://mirrors.localhost.net.ar/pub/mirrors/gentoo"
GUILE_LOAD_PATH="/usr/share/guile/1.6"
G_BROKEN_FILENAMES="1"
G_FILENAME_ENCODING="UTF-8"
HOME="/root"
INFOPATH="/usr/share/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.16.1/info:/usr/share/gcc-data/i686-pc-linux-gnu/3.4.6/info"
INPUT_DEVICES="keyboard mouse evdev"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KDEDIRS="/usr/kde/3.5:/usr:/usr/local"
KDEWM="/usr/bin/beryl-start"
KERNEL="linux"
LADSPA_PATH="/usr/lib/ladspa"
LANG="en_US"
LANGUAJE="en_US"
LC_ADDRESS="en_US"
LC_ALL="en_US"
LC_COLLATE="en_US"
LC_CTYPE="en_US"
LC_IDENTIFICATION="en_US"
LC_MEASUREMENT="en_US"
LC_MESSAGES="en_US"
LC_MONETARY="en_US"
LC_NAME="en_US"
LC_NUMERIC="en_US"
LC_PAPER="en_US"
LC_TELEPHONE="en_US"
LC_TIME="en_US"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LINGUAS="en es en_US en_GB es_AR"
LOGNAME="root"
MAKEOPTS="-j3"
MANPATH="/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/i686-pc-linux-gnu/2.16.1/man:/usr/share/gcc-data/i686-pc-linux-gnu/3.4.6/man:/opt/sun-jdk-1.4.2.12/man:/etc/java-config/system-vm/man/:/usr/qt/3/doc/man:/opt/vmware/workstation/man"
OLDPWD="/usr/local/portage/sys-fs/fuseiso"
OPENGL_PROFILE="nvidia"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/3.4.6:/opt/sun-jdk-1.4.2.12/bin:/opt/sun-jdk-1.4.2.12/jre/bin:/opt/sun-jdk-1.4.2.12/jre/javaws:/usr/kde/3.5/sbin:/usr/kde/3.5/bin:/usr/qt/3/bin:/opt/vmware/workstation/bin"
PKGDIR="/usr/portage/packages"
PKG_CONFIG_PATH="/usr/qt/3/lib/pkgconfig"
PORTAGE_ARCHLIST="ppc s390 amd64 x86 ppc64 x86-fbsd m68k arm sparc sh mips ia64 alpha ppc-macos hppa sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib/portage/bin"
PORTAGE_CALLER="emerge"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="warn error log"
PORTAGE_ELOG_MAILFROM="portage@koroba.conae.gov.ar"
PORTAGE_ELOG_MAILSUBJECT="package ${PACKAGE} merged on ${HOST} with notice"
PORTAGE_ELOG_MAILURI="root@localhost"
PORTAGE_ELOG_SYSTEM="save mail"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_NICENESS="3"
PORTAGE_PYM_PATH="/usr/lib/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_RSYNC_RETRIES="3"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_TMPFS="/dev/shm"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
PORT_LOGDIR="/var/log/portage"
PRELINK_PATH=""
PRELINK_PATH_MASK="/usr/lib/gstreamer-0.10:/usr/lib/gstreamer-0.8:/lib/modules:/usr/lib/locale:/usr/lib/wine:/usr/lib/valgrind:*.la:*.png:*.py:*.pl:*.pm:*.sh:*.xml:*.xslt:*.a:*.js:/usr/lib/klibc"
PWD="/usr/local/portage/kde-misc/kfuseiso"
PYTHONPATH="/usr/lib/portage/pym"
QMAKESPEC="linux-g++"
QTDIR="/usr/qt/3"
RESUMECOMMAND="/usr/bin/wget -c -t 5 -T 60 --passive-ftp ${URI} -P ${DISTDIR}"
ROOT="/"
ROOTPATH="/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/3.4.6:/opt/sun-jdk-1.4.2.12/bin:/opt/sun-jdk-1.4.2.12/jre/bin:/opt/sun-jdk-1.4.2.12/jre/javaws:/usr/kde/3.5/sbin:/usr/kde/3.5/bin:/usr/qt/3/bin:/opt/vmware/workstation/bin"
RPMDIR="/usr/portage/rpm"
SHELL="/bin/bash"
SHLVL="1"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
USE="X acl acpi aiglx alsa apache2 apm arts avi bash-completion bcmath bitmap-fonts branding bzip2 bzlib caps cdr cli cpdflib cracklib cscope ctype cups curl curlwrappers dbus dga dio divx4linux dlloader dri dvd dvdr dvdread elibc_glibc emboss exif fam fbcon ftp gif gpm gstreamer gtk gtk2 hal iconv imagemagick imap imlib input_devices_evdev input_devices_keyboard input_devices_mouse isdnlog jikes jpeg kde kdeenablefinal kdexdeltas kernel_linux lcms ldap lesstif libedit libg++ libwww linguas_en linguas_en_GB linguas_en_US linguas_es linguas_es_AR linuxthreads-tls maildir mhash mmx mmx2 motif mp3 mpeg ncurses nls nocardbus nptl nptlonly offensive ogg opengl pam pcntl pcre pdflib perl pic pie png posix ppds pppd prelude python qt qt3 qt4 quicktime readline recode reflection ruby samba sasl sdl session shared slang slp sockets spell spl sse ssl svg sysvipc szip tcltk tcpd threads tiff truetype truetype-fonts type1-fonts udev unicode usb userland_GNU video_cards_fbdev video_cards_nv video_cards_nvidia video_cards_vesa vorbis wmf x86 xdeltas xml xml2 xmlrpc xorg xosd xprint xv xvid zlib"
USER="root"
USERLAND="GNU"
USE_EXPAND="CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LINGUAS LIRC_DEVICES MISDN_CARDS USERLAND VIDEO_CARDS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults"
VIDEO_CARDS="nvidia nv vesa fbdev"
VMHANDLE="sun-jdk-1.4"
XARGS="xargs -r"
XAUTHORITY="/root/.xauthrBDJHv"
XPSERVERLIST=""
_="/usr/bin/emerge"
Comment 5 Janvie 2006-11-08 07:42:00 UTC
Created attachment 101469 [details]
ebuild for kfuseiso an interface for kde to fuseiso

hacked from kio-locate ebuild, may need work to make it work nicely.
Comment 6 Claudio Bustos 2006-12-21 19:51:58 UTC
Created attachment 104554 [details]
Ebuild for fuseiso-20061017
Comment 7 Gustavo Michels 2007-03-09 20:47:48 UTC
Just to inform I have tested fuseiso and kfuseiso (kde 3.5.6) and they are both working fine on my computer.

# emerge --info
Portage 2.1.2-r9 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.5-r0, 2.6.19-gentoo-r5 i686)
=================================================================
System uname: 2.6.19-gentoo-r5 i686 AMD Athlon(tm)
Gentoo Base System release 1.12.9
Timestamp of tree: Wed, 07 Mar 2007 19:30:01 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/pub/gentoo http://gentoo.mirrors.pair.com"
LANG="en_US.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/xeffects /usr/portage/local/layman/r300-driver /usr/portage/local/layman/nx"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="#cpu #graphics #hardware #other #print #sound #video 3dnow X a52 aac acpi alsa avi bash-completion berkdb bitmap-fonts cairo cdr cli cracklib crypt dbus dri dts dvd dvdr eds emboss encode exif fam firefox flags fortran gdbm gif gphoto2 gpm hal iconv isdnlog jpeg kde kdehiddenvisibility libg++ mad matroska midi mmx mmxext mp3 mpeg ncurses nls nptl nptlonly nsplugin ogg oggvorbis opengl pam pcre perl pertty png pppd python qt qt3 quicktime readline reflection rtc samba sdl session spell spl sse ssl svg tcpd threads truetype truetype-fonts type1-fonts unicode usb utempter v4l2 vorbis win32codecs x86 xcomposite xine xml xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="radeon vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 8 Matteo Azzali (RETIRED) gentoo-dev 2007-03-26 13:11:42 UTC
working fine here too, replaced the buggy cdemu.
Comment 9 Ivan Iakoupov 2007-05-28 19:43:05 UTC
(In reply to comment #5)
> Created an attachment (id=101469) [edit]
> ebuild for kfuseiso an interface for kde to fuseiso
> 
> hacked from kio-locate ebuild, may need work to make it work nicely.
> 

I'm new to ebuildism, but it seems like kde.eclass can handle all the default actions by itself without having to specify any src_* functions.
I will attach a diff to your kfuseiso ebuild shortly...

I also noticed that there exist newer tarballs on http://ubiz.ru/dm/ but ChangeLog file remained unchanged from the versions in ebuilds attached right now. These newer ones seem to work well however...
Comment 10 Ivan Iakoupov 2007-05-28 19:46:09 UTC
Created attachment 120543 [details, diff]
diff to kfuseiso-20061108.ebuild

This one works for me despite being so trimmed down. Are there any disadvantages by doing it this way?
Comment 11 Ivan Iakoupov 2007-06-03 16:58:55 UTC
Comment on attachment 120543 [details, diff]
diff to kfuseiso-20061108.ebuild

src_install() is needed after all.
Will attach another diff shortly
Comment 12 Ivan Iakoupov 2007-06-03 17:03:26 UTC
Created attachment 121050 [details, diff]
A more correct cleaning up of kfuseiso-20061108.ebuild
Comment 13 Samuel Robyr 2007-07-16 13:09:42 UTC
fuseiso-20070708 is out. 
I was able to install it just by renaming the ebuild on sunrise overlay 
Comment 14 Christian Häßler 2008-04-13 11:56:59 UTC
Created attachment 149550 [details]
New Ebuild for fuseiso

Fuseiso has a new maintainer and is now in active again.
https://sourceforge.net/projects/fuseiso/

This is a new Ebuild for the newest Version
Comment 15 anomen 2008-10-16 13:24:49 UTC
works fine on amd64. you can add ~amd64
Comment 16 Thomas Fischer 2008-10-22 13:22:22 UTC
> works fine on amd64. you can add ~amd64
The current ebuild is in the sunrise overlay. The ~amd64 is set since August 2006 there.

http://overlays.gentoo.org/proj/sunrise/browser/reviewed/sys-fs/fuseiso
http://overlays.gentoo.org/proj/sunrise
Comment 17 Mike 2009-01-22 08:31:51 UTC
regarding ISOs bigger than 4 GB, the current build may not read them correctly, see the patch over at Redhat:

https://bugzilla.redhat.com/show_bug.cgi?id=440436
Comment 18 Thomas Fischer 2009-01-22 12:31:41 UTC
(In reply to comment #17)
> regarding ISOs bigger than 4 GB, the current build may not read them correctly,
> see the patch over at Redhat:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=440436

I commited to the Sunrise overlay an updated ebuild using this patch.
Comment 19 Samuli Suominen gentoo-dev 2009-10-25 10:10:43 UTC
In portage. Should be removed from Sunrise.